Uses of Class org.apache.hadoop.fs.Options.ChecksumOpt (Apache Hadoop Common 3.5.0 API)
Description: use: package: org.apache.hadoop.fs, class: Options, class: ChecksumOpt

# Uses of Class
org.apache.hadoop.fs.Options.ChecksumOpt

Packages that use Options.ChecksumOpt
Package
Description
org.apache.hadoop.fs
An abstract file system API.
org.apache.hadoop.fs.impl
This package contains implementation classes for use inside filesystems.
org.apache.hadoop.fs.viewfs
ViewFileSystem and ViewFileSystemOverloadScheme classes.

- ## Uses of Options.ChecksumOpt in org.apache.hadoop.fs

  Methods in org.apache.hadoop.fs that return Options.ChecksumOpt
  Modifier and Type
  Method
  Description
  `static Options.ChecksumOpt`
  Options.ChecksumOpt.`createDisabled()`
  Create a ChecksumOpts that disables checksum.
  `Options.ChecksumOpt`
  CompositeCrcFileChecksum.`getChecksumOpt()`
  `Options.ChecksumOpt`
  FileChecksum.`getChecksumOpt()`
  `protected Options.ChecksumOpt`
  FSDataOutputStreamBuilder.`getChecksumOpt()`
  `Options.ChecksumOpt`
  MD5MD5CRC32FileChecksum.`getChecksumOpt()`
  `Options.ChecksumOpt`
  Options.CreateOpts.ChecksumParam.`getValue()`
  `static Options.ChecksumOpt`
  Options.ChecksumOpt.`processChecksumOpt(Options.ChecksumOpt defaultOpt, Options.ChecksumOpt userOpt)`
  A helper method for processing user input and default value to create a combined checksum option.
  `static Options.ChecksumOpt`
  Options.ChecksumOpt.`processChecksumOpt(Options.ChecksumOpt defaultOpt, Options.ChecksumOpt userOpt, int userBytesPerChecksum)`
  A helper method for processing user input and default value to create a combined checksum option.
  Methods in org.apache.hadoop.fs with parameters of type Options.ChecksumOpt
  Modifier and Type
  Method
  Description
  `B`
  FSDataOutputStreamBuilder.`checksumOpt(Options.ChecksumOpt chksumOpt)`
  Set checksum opt.
  `B`
  MultipartUploaderBuilder.`checksumOpt(Options.ChecksumOpt chksumOpt)`
  Set checksum opt.
  `static Options.CreateOpts.ChecksumParam`
  Options.CreateOpts.`checksumParam(Options.ChecksumOpt csumOpt)`
  `FSDataOutputStream`
  ChecksumFileSystem.`create(Path f, FsPermission permission, EnumSet<CreateFlag> flags, int bufferSize, short replication, long blockSize, Progressable progress, Options.ChecksumOpt checksumOpt)`
  `FSDataOutputStream`
  FileSystem.`create(Path f, FsPermission permission, EnumSet<CreateFlag> flags, int bufferSize, short replication, long blockSize, Progressable progress, Options.ChecksumOpt checksumOpt)`
  Create an FSDataOutputStream at the indicated Path with a custom checksum option.
  `FSDataOutputStream`
  FilterFileSystem.`create(Path f, FsPermission permission, EnumSet<CreateFlag> flags, int bufferSize, short replication, long blockSize, Progressable progress, Options.ChecksumOpt checksumOpt)`
  `abstract FSDataOutputStream`
  AbstractFileSystem.`createInternal(Path f, EnumSet<CreateFlag> flag, FsPermission absolutePermission, int bufferSize, short replication, long blockSize, Progressable progress, Options.ChecksumOpt checksumOpt, boolean createParent)`
  The specification of this method matches that of `AbstractFileSystem.create(Path, EnumSet, Options.CreateOpts...)` except that the opts have been declared explicitly.
  `FSDataOutputStream`
  ChecksumFs.`createInternal(Path f, EnumSet<CreateFlag> createFlag, FsPermission absolutePermission, int bufferSize, short replication, long blockSize, Progressable progress, Options.ChecksumOpt checksumOpt, boolean createParent)`
  `FSDataOutputStream`
  DelegateToFileSystem.`createInternal(Path f, EnumSet<CreateFlag> flag, FsPermission absolutePermission, int bufferSize, short replication, long blockSize, Progressable progress, Options.ChecksumOpt checksumOpt, boolean createParent)`
  `FSDataOutputStream`
  FilterFs.`createInternal(Path f, EnumSet<CreateFlag> flag, FsPermission absolutePermission, int bufferSize, short replication, long blockSize, Progressable progress, Options.ChecksumOpt checksumOpt, boolean createParent)`
  `protected FSDataOutputStream`
  FileSystem.`primitiveCreate(Path f, FsPermission absolutePermission, EnumSet<CreateFlag> flag, int bufferSize, short replication, long blockSize, Progressable progress, Options.ChecksumOpt checksumOpt)`
  Deprecated.
  `protected FSDataOutputStream`
  FilterFileSystem.`primitiveCreate(Path f, FsPermission absolutePermission, EnumSet<CreateFlag> flag, int bufferSize, short replication, long blockSize, Progressable progress, Options.ChecksumOpt checksumOpt)`
  `static Options.ChecksumOpt`
  Options.ChecksumOpt.`processChecksumOpt(Options.ChecksumOpt defaultOpt, Options.ChecksumOpt userOpt)`
  A helper method for processing user input and default value to create a combined checksum option.
  `static Options.ChecksumOpt`
  Options.ChecksumOpt.`processChecksumOpt(Options.ChecksumOpt defaultOpt, Options.ChecksumOpt userOpt, int userBytesPerChecksum)`
  A helper method for processing user input and default value to create a combined checksum option.
  Constructors in org.apache.hadoop.fs with parameters of type Options.ChecksumOpt
  Modifier
  Constructor
  Description
  `protected`
  `ChecksumParam(Options.ChecksumOpt csumOpt)`

- ## Uses of Options.ChecksumOpt in org.apache.hadoop.fs.impl

  Methods in org.apache.hadoop.fs.impl that return Options.ChecksumOpt
  Modifier and Type
  Method
  Description
  `Options.ChecksumOpt`
  FileSystemMultipartUploaderBuilder.`getChecksumOpt()`
  `protected Options.ChecksumOpt`
  MultipartUploaderBuilderImpl.`getChecksumOpt()`
  Methods in org.apache.hadoop.fs.impl with parameters of type Options.ChecksumOpt
  Modifier and Type
  Method
  Description
  `B`
  MultipartUploaderBuilderImpl.`checksumOpt(Options.ChecksumOpt chksumOpt)`
  Set checksum opt.

- ## Uses of Options.ChecksumOpt in org.apache.hadoop.fs.viewfs

  Methods in org.apache.hadoop.fs.viewfs with parameters of type Options.ChecksumOpt
  Modifier and Type
  Method
  Description
  `FSDataOutputStream`
  ViewFs.`createInternal(Path f, EnumSet<CreateFlag> flag, FsPermission absolutePermission, int bufferSize, short replication, long blockSize, Progressable progress, Options.ChecksumOpt checksumOpt, boolean createParent)`